Linkage Error MPS Java

Hey forum!

I just set my java compiler version from Java 7 to 8. Furthermore, I get the following error when I compile my project.

UnsupportedClassVersionError: Caught a linkage error while creating LanguageRuntime for the [language] Probably the language/sources/classes are outdated, try rebuilding the project"

Rebuild + Recompile didn't help. Any ideas how I can fix this?

Regards,

msch95

2 comments
Comment actions Permalink

Looks like a classloader issue

Unsupported major.minor version 52.0 
UnsupportedClassVersionError
at java.lang.ClassLoader.defineClass1(native method)...
0
Comment actions Permalink

Solved the problem by redefining the Java system environment variable and by reinstalling MPS.

0

Please sign in to leave a comment.